MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::xml::ErrorType Struct Reference

`#include <MyGUI_XmlDocument.h>`

## Public Types
enum | Enum { OpenFileFail, CreateFileFail, IncorrectContent, NotClosedElements, NoXMLDeclaration, CloseNotOpenedElement, InconsistentOpenCloseElements, MoreThanOneXMLDeclaration, MoreThanOneRootElement, IncorrectAttribute, MAX }

## Public Member Functions
| ErrorType (Enum _value=MAX)
std::string | print () const

## Detailed Description

Definition at line 56 of file MyGUI_XmlDocument.h.

## Member Enumeration Documentation

enum MyGUI::xml::ErrorType::Enum

Enumerator
OpenFileFail |
CreateFileFail |
IncorrectContent |
NotClosedElements |
NoXMLDeclaration |
CloseNotOpenedElement |
InconsistentOpenCloseElements |
MoreThanOneXMLDeclaration |
MoreThanOneRootElement |
IncorrectAttribute |
MAX |

Definition at line 58 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

MyGUI::xml::ErrorType::ErrorType | ( | Enum | _value = `MAX` | ) |
| inline

Definition at line 73 of file MyGUI_XmlDocument.h.

## Member Function Documentation

std::string MyGUI::xml::ErrorType::print | ( |  | ) | const
| inline

Definition at line 75 of file MyGUI_XmlDocument.h.

The documentation for this struct was generated from the following file:

- MyGUI_XmlDocument.h